({
    name: "Leafeonite",
    spritenum: 666,
    megaStone: {
        "Leafeon": "Leafeon-Mega"
    },
    itemUser: ["Leafeon"],
    onTakeItem(item, source) {
        return !item.megaStone?.[source.baseSpecies.baseSpecies];
    },
    num: -999,
    gen: 6,
    isNonstandard: "Past",
})